Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.jiraserver
Class JiraServerManagerImpl

    java.lang.Object
      com.atlassian.bamboo.jiraserver.JiraServerManagerImpl

All Implemented Interfaces:
  JiraServerManager

    public class JiraServerManagerImpl

extends Object
implements JiraServerManager

Constructor Summary
`JiraServerManagerImpl()`

Method Summary
`Collection` | `getAllJiraServers()`
`JiraServerDefinition` | `getDefaultJiraServer()` Gets the "Default" server.
`JiraServerDefinition` | `getJiraServer(long jiraServerId)` Gets a jira definition given the id
`JiraServerDao` | `getJiraServerDao()`
`void` | `removeJiraServer(long jiraServerId)` Delete the jira definition
`void` | `saveJiraServer(JiraServerDefinition jiraServer)` Saves the jira definition into database
`void` | `setJiraServerDao(JiraServerDao jiraServerDao)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JiraServerManagerImpl

    public JiraServerManagerImpl()

Method Detail

### saveJiraServer

    public void saveJiraServer(JiraServerDefinition jiraServer)

  Description copied from interface: `JiraServerManager`
  Saves the jira definition into database

  Specified by:
    `saveJiraServer` in interface `JiraServerManager`

### removeJiraServer

    public void removeJiraServer(long jiraServerId)

  Description copied from interface: `JiraServerManager`
  Delete the jira definition

  Specified by:
    `removeJiraServer` in interface `JiraServerManager`

### getJiraServer

    public JiraServerDefinition getJiraServer(long jiraServerId)

  Description copied from interface: `JiraServerManager`
  Gets a jira definition given the id

  Specified by:
    `getJiraServer` in interface `JiraServerManager`
  Returns:
    `JiraServerDefinition` object

### getAllJiraServers

    public Collection getAllJiraServers()

  Specified by:
    `getAllJiraServers` in interface `JiraServerManager`
  Returns:
    a `Collection` of all JIRA servers

### getDefaultJiraServer

    public JiraServerDefinition getDefaultJiraServer()

  Description copied from interface: `JiraServerManager`
  Gets the "Default" server. Currently, Bamboo only allows setting up one JIRA instance anyways. This will get the server out without having an id.

  Specified by:
    `getDefaultJiraServer` in interface `JiraServerManager`
  Returns:
    `JiraServerDefinition`

### getJiraServerDao

    public JiraServerDao getJiraServerDao()

### setJiraServerDao

    public void setJiraServerDao(JiraServerDao jiraServerDao)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.